ck_mechanism Struct Reference

`#include <pkcs11.h>`

## Data Fields

ck_mechanism_type_t | mechanism
void * | parameter
unsigned long | parameter_len

## Detailed Description

Definition at line 688 of file pkcs11.h.

## Field Documentation

## mechanism

ck_mechanism_type_t ck_mechanism::mechanism

Definition at line 690 of file pkcs11.h.

## parameter

void* ck_mechanism::parameter

Definition at line 691 of file pkcs11.h.

## parameter_len

unsigned long ck_mechanism::parameter_len

Definition at line 692 of file pkcs11.h.

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h